# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177868317787016/pydantic-feedstock/recipe, last modified Wed May 13 14:50:46 2026
# ------------------------------------------------

package:
  name: pydantic
  version: 2.13.4
source:
  url: https://pypi.org/packages/source/p/pydantic/pydantic-2.13.4.tar.gz
  sha256: c40756b57adaa8b1efeeced5c196f3f3b7c435f90e84ea7f443901bec8099ef6
build:
  number: '0'
  script: /home/task_177868317787016/croot/pydantic_1778683872108/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vvv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - hatch-fancy-pypi-readme 24.1.0 py314h06a4308_1
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.0.1 pyh0d26453_1
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - annotated-types >=0.6.0
    - pydantic-core ==2.46.4
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
    - typing-inspection >=0.4.2
    - typing_extensions >=4.14.1
  run_constrained:
    - email-validator >=2.0.0
test:
  source_files:
    - tests
  imports:
    - pydantic
    - pydantic._internal
    - pydantic._internal._config
    - pydantic._internal._decorators
    - pydantic._internal._discriminated_union
    - pydantic._internal._generate_schema
    - pydantic._internal._generics
    - pydantic._internal._import_utils
    - pydantic._internal._internal_dataclass
    - pydantic._internal._mock_val_ser
    - pydantic._internal._model_construction
    - pydantic._internal._repr
    - pydantic._internal._typing_extra
    - pydantic._internal._utils
    - pydantic._internal._validators
    - pydantic._migration
    - pydantic.alias_generators
    - pydantic.color
    - pydantic.config
    - pydantic.dataclasses
    - pydantic.deprecated.decorator
    - pydantic.deprecated.json
    - pydantic.deprecated.parse
    - pydantic.deprecated.tools
    - pydantic.errors
    - pydantic.experimental.arguments_schema
    - pydantic.experimental.pipeline
    - pydantic.fields
    - pydantic.functional_serializers
    - pydantic.functional_validators
    - pydantic.json_schema
    - pydantic.main
    - pydantic.networks
    - pydantic.plugin
    - pydantic.plugin._loader
    - pydantic.type_adapter
    - pydantic.types
  requires:
    - dirty-equals
    - faker
    - jsonschema
    - pip
    - pytest
    - pytest-benchmark
    - pytest-mock
    - pytz
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('pydantic')=='2.13.4')"
    - pytest -ra -vv --tb=short tests  --ignore=tests/test_docs.py  --deselect=tests/test_types_typeddict.py::test_readonly_qualifier_warning
about:
  home: https://github.com/pydantic/pydantic
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Data validation and settings management using python type hinting
  description: 'Data validation and settings management using python type hinting.

    See documentation doc_url for more details.

    '
  doc_url: https://pydantic.dev/docs
  dev_url: https://github.com/pydantic/pydantic
extra:
  recipe-maintainers:
    - dgasmith
    - samuelcolvin
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/pydantic-feedstock
  sha: a76d84fb33e917acca04d5fa73b4631670e8e7f6
  task_id: Dmf_4bpXRpCZBGQrqBm_Hw
  task_run_id: '0'
  pbp_graph_uuid: be40bc96-20dd-4063-8e31-b225d22e72e3
